# Created by pyp2rpm-3.3.2
%global pypi_name flake8-import-order

Name:           python-%{pypi_name}
Version:        0.18.2
Release:        %mkrel 3
Summary:        Flake8 and pylama plugin that checks the ordering of import statements
Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/PyCQA/flake8-import-order
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and
ordered correctly.

In general stdlib comes first, then 3rd party, then local packages, and that
each group is individually alphabetized, however this depends on the style
used. Flake8-Import-Order supports a number of styles and is extensible
allowing for custom styles.

This plugin was originally developed to match the style preferences of the
cryptography project, with this style remaining the default.

%package -n     python3-%{pypi_name}
Summary:        Flake8 and pylama plugin that checks the ordering of import statements
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pycodestyle)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and
ordered correctly.

In general stdlib comes first, then 3rd party, then local packages, and that
each group is individually alphabetized, however this depends on the style
used. Flake8-Import-Order supports a number of styles and is extensible
allowing for custom styles.

This plugin was originally developed to match the style preferences of the
cryptography project, with this style remaining the default.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8_import_order

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 0.18.2-3.mga10
+ Revision: 2157049
- rebuild for python3.13

* Wed Dec 27 2023 papoteur <papoteur> 0.18.2-2.mga10
+ Revision: 2022156
- rebuild for python 3.12
- adapt to pyproject

* Fri Apr 21 2023 kekepower <kekepower> 0.18.2-1.mga9
+ Revision: 1953780
- Update to version 0.18.2

* Thu Nov 03 2022 papoteur <papoteur> 0.18.1-7.mga9
+ Revision: 1902022
- rebuild for pylama dependency

* Tue Mar 29 2022 umeabot <umeabot> 0.18.1-6.mga9
+ Revision: 1833276
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.18.1-5.mga9
+ Revision: 1782245
- Fix filelist for python-3.10
+ neoclust <neoclust>
- rebuild for python 3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.18.1-4.mga9
+ Revision: 1706419
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.18.1-3.mga8
+ Revision: 1530971
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.18.1-2.mga8
+ Revision: 1438020
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.18.1-1.mga8
+ Revision: 1435628
- new version 0.18.1
- drop python2 support

* Sat Jan 05 2019 wally <wally> 0.18-3.mga7
+ Revision: 1349779
- rebuild for python3.7

* Thu Nov 01 2018 kekepower <kekepower> 0.18-2.mga7
+ Revision: 1327536
- Requires removed because python3-enum34 doesn't exist

* Thu Nov 01 2018 kekepower <kekepower> 0.18-1.mga7
+ Revision: 1327526
- imported package python-flake8-import-order

